Skip to main content
GET
/
quotas
List quota usage for the authenticated user
curl --request GET \
  --url https://api.akua.dev/v1/quotas \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "metric": "compute/machines",
      "type": "allocation",
      "display_name": "Compute machines",
      "unit": "count",
      "limit": 1,
      "usage": 0,
      "remaining": 1,
      "resets_at": 1
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.akua.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Query Parameters

cluster_id
string

Cluster ID to include concurrency quotas

Required string length: 1 - 54

Response

Quota info for all metrics

data
object[]
required
has_more
boolean
required

True if more items exist after this page.

next_cursor
string | null
required

Opaque cursor for the next page, or null if no more pages.